Subject: bug#14084: 24.3.50; `substitute-command-keys': allow for expansion of <remap>...

From: Drew Adams <[email-masked]>
Date: Tue, 10 May 2022 16:28:10 +0000

> > It doesn't matter for what circumstances someone
> > would want to use the new arg to specify any of
> > the 3 possible behaviors it should provide.
> 
> I get it; you don't have a specific use case in mind,

That doesn't follow at all.  Each behavior is
useful.  I wouldn't have proposed 3 specific
behaviors if I didn't think each was useful.

> but just want this because you want it.

I think it's useful and makes sense.  But I
have no illusions that you'll find it so, i.e.,
that you'll "get it".

The original request stated the motivation/need:

 <remap> <reposition-window>     foo

 just obscures things, if a user doesn't know the
 currently active bindings of `reposition-window'.

That's the problem to fix.  I saw 3 alternative
ways it can make sense to address the problem,
and I specified them.

If you want to be constructive, maybe think about
those 3 ways or suggest alternative solutions.

Or not.  As is your wont, just close the bug as
wont-fix, if you don't agree there's a problem
to fix.

To me, the solution to the problem involves, as
the Subject line says, expanding the <remap>.

How to expand it?  What do you propose?  I think
different callers might want different expansions.
What do you think?